commit: be9a38b1a06b1cf853d5b703f1cb60accd8009ef
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 12 19:17:48 2019 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Apr 12 19:43:50 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be9a38b1
dev-python/os-xenapi: 0.3.4 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
dev-python/os-xenapi/Manifest | 1 +
dev-python/os-xenapi/os-xenapi-0.3.4.ebuild | 36 +++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/os-xenapi/Manifest b/dev-python/os-xenapi/Manifest
index 2ea171adcdb..0e08e8d947a 100644
--- a/dev-python/os-xenapi/Manifest
+++ b/dev-python/os-xenapi/Manifest
@@ -1 +1,2 @@
DIST os-xenapi-0.3.3.tar.gz 135902 BLAKE2B
7ba2a7a386d3bbc0a0e20aeeae7b34c22540ed66a97ab48819eeb5995b6a5c8de09f59f0ab31ecee543147c75b33a5b590e6cb228f2f2f7aed861e3fe03654b4
SHA512
ec7b89299cfb4a76d0184bbac933e30857e45082cadf43c6b3f74d0c241cbb1013959e6338f85cb2af71c815a6ec6166d8e173898539c9f68eca128e2e908ad1
+DIST os-xenapi-0.3.4.tar.gz 139843 BLAKE2B
333b7af4bc5475584922264ea47a61e6c7a0fd813cd5ed99db1338c74fc86474d190df84ab8732d090668cfa5dc7ec43cfc75283f42a7298aad7d470deec5eb5
SHA512
4e5afbce07d38f93e93ac839eb26927a2436b33a39e14a57ed1e99cbd3501c7d2dec8db7f65617c8d6308e8227e60f5653102ac3a04d9322c0791040fa3f22a9
diff --git a/dev-python/os-xenapi/os-xenapi-0.3.4.ebuild
b/dev-python/os-xenapi/os-xenapi-0.3.4.ebuild
new file mode 100644
index 00000000000..193e84a1a6f
--- /dev/null
+++ b/dev-python/os-xenapi/os-xenapi-0.3.4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="XenAPI library for OpenStack projects"
+HOMEPAGE="https://github.com/openstack/os-xenapi"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.20.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}